Bug 225896 - Merge Review: icu
Summary: Merge Review: icu
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:04 UTC by Nobody's working on this, feel free to take it
Modified: 2008-12-31 15:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-31 15:47:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:04:44 UTC
Fedora Merge Review: icu

http://cvs.fedora.redhat.com/viewcvs/devel/icu/
Initial Owner: caolanm@redhat.com

Comment 1 Parag AN(पराग) 2008-12-24 07:33:12 UTC
1)rpmlint on SRPM gave
icu.src: W: patch-not-applied Patch1: icu-config
icu.src: W: strange-permission icu-config 0775

2) rpmlint on binary rpm is NOT silent
libicu.i386: W: no-documentation
libicu.i386: W: shared-lib-calls-exit /usr/lib/libicutu.so.40.0 exit@GLIBC_2.0
libicu.i386: E: shared-lib-without-dependency-information /usr/lib/libicudata.so.40.0

libicu-devel.i386: E: only-non-binary-in-usr-lib

Also, after installing libicu rpmlint output changes to
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicule.so.40.0 /usr/lib/libicudata.so.40
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicule.so.40.0 /lib/libpthread.so.0
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicule.so.40.0 /lib/libm.so.6
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicuio.so.40.0 /usr/lib/libicudata.so.40
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicuio.so.40.0 /lib/libpthread.so.0
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicuio.so.40.0 /lib/libm.so.6
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libiculx.so.40.0 /usr/lib/libicudata.so.40
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libiculx.so.40.0 /lib/libpthread.so.0
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libiculx.so.40.0 /lib/libm.so.6
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicui18n.so.40.0 /usr/lib/libicudata.so.40
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicui18n.so.40.0 /lib/libpthread.so.0
libicu.i386: W: shared-lib-calls-exit /usr/lib/libicutu.so.40.0 exit@GLIBC_2.0
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicutu.so.40.0 /usr/lib/libicudata.so.40
libicu.i386: W: unused-direct-shlib-dependency /usr/lib/libicutu.so.40.0 /lib/libm.so.6
libicu.i386: E: shared-lib-without-dependency-information /usr/lib/libicudata.so.40.0
==> Can this be fixed??

3) What is use of following directory?
/usr/lib/icu/4.0/

Comment 2 Caolan McNamara 2008-12-29 17:06:02 UTC
Give 4.0-6 a whirl. Moving icu-config into sources rather than a patch should sort out those warnings, and tweaking the linker link should fix up the shared-lib-without-dependency-information "Error" and related unused-direct-shlib-dependency warnings, along with most of the other warnings.

Comment 3 Parag AN(पराग) 2008-12-31 07:10:38 UTC
I looked into 4.0-6 release.
rpmlint is silent on SRPM but on RPMs

libicu.i386: W: shared-lib-calls-exit /usr/lib/libicutu.so.40.0 exit@GLIBC_2.0
==> I think if this needs to be really fixed then it needs to open another bug.
also after installing libicu rpm in rawhide, I see rpmlint complained same as reported in comment#1.

Comment 4 Caolan McNamara 2008-12-31 13:09:17 UTC
libicu.i386: W: shared-lib-calls-exit /usr/lib/libicutu.so.40.0 

I don't really think it need to be fixed, especially as a warning vs an error, but I guess we *could* submit a patch upstream to e.g. convert all those exits to some sort of throwing of an exception instead

Comment 5 Parag AN(पराग) 2008-12-31 13:32:05 UTC
Thanks for your comment. Definitely this is not packaging issue but upstream source code issue.

This package is now APPROVED.
You can CLOSE this review as reviewed package is already in rawhide.


Note You need to log in before you can comment on or make changes to this bug.